#
# spec file for package omctools (Version 1.0.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl openssl-devel openwbem openwbem-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           omctools
Summary:        Tools to aid in omc development and testing
BuildRequires:  gcc-c++ openssl-devel openwbem-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        1.0.3
Release:        0.6
License:        BSD License and BSD-like, GNU General Public License (GPL)
Group:          System/Management
Source:         %{name}-%{version}.tar.gz
URL:            http://www.omc-project.org

%description
OMC (Open Management with CIM) is an open-source umbrella project, for
member projects relates to CIM. omctools is a package of tools to aid
in omc development and testing. Included are cimtester: an xml-driven
CIM test program; provtest: a command-line CIM provider sanity tester;
YAWN (Yet Another Wbem Navigator): a web-based CIM browser written in
python with pywbem.



Authors:
--------
    Bart Whiteley
    Norm Paxton
    JB Gill

%debug_package
%prep
%setup 

%build
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
export CXXFLAGS="$CFLAGS"
%configure
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_libdir}/omc/yawn
install yawn/yawn.py $RPM_BUILD_ROOT%{_libdir}/omc/yawn
install yawn/deploy.* $RPM_BUILD_ROOT%{_libdir}/omc/yawn

%files
%defattr(-,root,root)
%dir %{_libdir}/cimtester
%dir %{_libdir}/omc
%dir %{_libdir}/omc/yawn
%{_bindir}/provtest
%{_bindir}/cimtester
%{_libdir}/libcimtester*.*
%{_libdir}/cimtester/lib*.*
%{_libdir}/omc/yawn/yawn.py
%{_libdir}/omc/yawn/deploy.*

%changelog
* Wed Dec 20 2006 - npaxton@novell.com
- fix spec file for good build
* Tue Dec 19 2006 - npaxton@novell.com
- update to prep for SLES10-SP1 sdk
* Fri Aug 25 2006 - ro@suse.de
- fix make install (add DESTDIR)
- do not build as root
* Thu Aug 24 2006 - npaxton@suse.de
- Original autobuild checkin (Version 1.0.1)
